function matchedit(recorder) {
   match = document.getElementById('match' + recorder);
   match.ondblclick = '';
   match.innerHTML = '<form method="post" action="" style="display: inline;"><input type="hidden" name="recorder" value="'+recorder+'" /><input type="text" name="matchname" value="'+match.innerHTML+'" onblur="this.form.submit();" /></form>';
   document.getElementsByName('matchname')[0].focus();
   return true;
}

function recmodeedit(recorder) {
   match = document.getElementById('recmode' + recorder);
   match.ondblclick = '';
   select = '<option>ready</option>';
   select = (match.innerHTML == 'ready') ? select + '<option>connect</option>' : '<option>connect</option>' + select;
   match.innerHTML = '<form method="post" action="" style="display: inline;"><input type="hidden" name="recorder" value="'+recorder+'" /><select name="recmode" onchange="this.form.submit();" onblur="this.form.submit();">'+select+'</select></form>';
   return true;
}

function editreadynum(recorder) {
   match = document.getElementById('readynum' + recorder);
   match.ondblclick = '';
   match.innerHTML = '<form method="post" action="" style="display: inline;"><input type="hidden" name="recorder" value="'+recorder+'" /><input type="text" name="readynum" value="'+match.innerHTML+'" onblur="this.form.submit();" style="font-size: 10px; text-align: center; width: 16px;" /></form>';
   document.getElementsByName('readynum')[0].focus();
   return true;
}
